package com.ningdatech.kqapi.admin.model.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ningdatech.kqapi.admin.model.enumerization.HandleChannelEnum;
import com.ningdatech.kqapi.zzsfw.enumeration.ItemTypeEnum.AddedService;
import com.ningdatech.kqapi.zzsfw.enumeration.ItemTypeEnum.GovService;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * GovServiceMatterImportDTO
 * </p>
 *
 * @author WendyYang
 * @since 15:27 2024/4/23
 */
@Data
public class MatterImportDTO {

    @ExcelProperty(value = "序号")
    @ExcelIgnore
    private Integer rowNo;

    @ExcelProperty(value = "服务专区")
    @NotBlank(message = "服务专区不能为空", groups = {GovService.class, AddedService.class})
    private String zoneName;

    @ExcelProperty(value = "服务窗口")
    @NotBlank(message = "服务窗口不能为空", groups = {GovService.class, AddedService.class})
    private String windowName;

    @ExcelProperty(value = "服务事项名称")
    @NotBlank(message = "服务事项名称不能为空", groups = {GovService.class, AddedService.class})
    private String matterName;

    @ExcelProperty(value = "办理渠道")
    @NotBlank(message = "办理渠道不能为空", groups = GovService.class)
    private String handleChannel;

    @ExcelProperty(value = "政务服务链接")
    @NotBlank(message = "政务服务链接不能为空", groups = GovService.class)
    private String webApplyUrl;

    @ExcelProperty(value = "牵头部门")
    @NotBlank(message = "牵头部门不能为空", groups = {GovService.class, AddedService.class})
    private String department;

    @ExcelProperty(value = "服务内容")
    @NotBlank(message = "服务内容不能为空", groups = AddedService.class)
    private String serviceContent;

    @ExcelProperty(value = "服务流程")
    @NotBlank(message = "服务流程不能为空", groups = AddedService.class)
    private String serviceProcess;

    @ExcelProperty(value = "咨询电话")
    @NotBlank(message = "咨询电话不能为空", groups = AddedService.class)
    private String telephone;

    @ExcelIgnore
    private HandleChannelEnum handleChannelEnum;

}
