package com.ningdatech.kqapi.user.model.po;

import cn.hutool.core.lang.RegexPool;
import com.ningdatech.kqapi.user.model.enumerization.AccountStatus;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * <p>
 * SaveUserReq
 * </p>
 *
 * @author WendyYang
 * @since 10:26 2024/4/20
 */
@Data
@ApiModel("保存用户请求PO")
public class SaveUserReq {

    @ApiModelProperty("用户id")
    private Long userId;

    @NotBlank(message = "用户姓名 必填")
    @ApiModelProperty("用户姓名 必填")
    private String realName;

    @NotBlank(message = "手机号 必填")
    @ApiModelProperty("手机号 必填")
    @Pattern(regexp = RegexPool.MOBILE, message = "请输入正确的手机号")
    private String phoneNo;

    @NotBlank(message = "用户登陆名 必填")
    @ApiModelProperty("用户登陆名 必填")
    private String userName;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("免冠照图片文件id")
    private Long avatarFileId;

    @ApiModelProperty("账号状态")
    private AccountStatus accountStatus;

}
