package com.ningdatech.kqapi.user.model.vo;

import com.ningdatech.kqapi.user.model.enumerization.AccountStatus;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;

/**
 * <p>
 * ResUserListVO
 * </p>
 *
 * @author WendyYang
 * @since 10:32 2024/4/20
 */
@Data
@ApiModel("用户列表筛选VO")
public class UserListVO {

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("用户姓名")
    private String realName;

    @NotBlank
    @ApiModelProperty("手机号")
    private String phoneNo;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    private AccountStatus accountStatus;

}
