package com.ningdatech.kqapi.zzsfw.enumeration;

import com.ningdatech.kqapi.common.enumeration.IEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.util.Objects;

/**
 * <p>
 * ItemTypeEnum
 * </p>
 *
 * @author WendyYang
 * @since 15:50 2024/4/22
 */
@Getter
@AllArgsConstructor
public enum ItemTypeEnum implements IEnum {

    /**
     * 事项类型 枚举
     */
    GOV(1, "政府服务", GovService.class, "/template/政务服务事项配置模板.xlsx"),
    ADDED(2, "增值服务", AddedService.class, "/template/增值服务事项配置模板.xlsx"),
    SPECIAL(3, "特殊服务", SpecialService.class, "");

    private final Integer code;
    private final String desc;
    private final Class<?> paramValidGroup;
    private final String importTemplatePath;

    public static ItemTypeEnum match(Integer code) {
        return IEnum.getByCode(ItemTypeEnum.class, code).orElse(null);
    }

    public interface GovService {
    }

    public interface AddedService {
    }

    public interface SpecialService {
    }

}
